require 'thor'

module Hoist
class ProjectGenerator < Thor::Group
  include Thor::Actions

  class_option :test_framework, :default => :test_unit

  argument :bundle_identifier
  argument :project_name

  def self.source_root
    File.dirname(__FILE__)
  end

  def create_fastfile
    template('templates/fastfile.tt', "Fastfile")
  end
end
end

